%{?nodejs_find_provides_and_requires}

%global packagename source-map-url
%global enable_tests 1

Name:		nodejs-source-map-url
Version:	0.3.0
Release:	2%{?dist}
Summary:	Tools for working with sourceMappingURL comments

License:	MIT
URL:		https://github.com/lydell/source-map-url
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# license file
Source2:	https://raw.githubusercontent.com/lydell/source-map-url/ffa8f4cd7ad1bc582681f3f222095152e6597f10/LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(expect.js)
%endif

Requires:	nodejs

%description
Tools for working with sourceMappingURL comments.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the license
cp -p %{SOURCE2} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Oct 24 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-2
- Update build requirements

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Initial packaging
